SoTransparencyType(3)

NAME
SoTransparencyType - The SoTransparencyType class is a node for setting the transparency type for shapes.

SYNOPSIS

#include <Inventor/nodes/SoTransparencyType.h>

Inherits SoNode.

  Public Types
enum Type { SCREEN_DOOR = SoGLRenderAction::SCREEN_DOOR, ADD = SoGLRenderAction::ADD, DELAYED_ADD = SoGLRenderAction::DELAYED_ADD, SORTED_OBJECT_ADD = SoGLRenderAction::SORTED_OBJECT_ADD, BLEND = SoGLRenderAction::BLEND, DELAYED_BLEND = SoGLRenderAction::DELAYED_BLEND, SORTED_OBJECT_BLEND = SoGLRenderAction::SORTED_OBJECT_BLEND, SORTED_OBJECT_SORTED_TRIANGLE_ADD, SORTED_OBJECT_SORTED_TRIANGLE_BLEND, NONE = SoGLRenderAction::NONE }

  Public Member Functions
virtual SoType getTypeId (void) const
SoTransparencyType (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum value

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTransparencyType ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTransparencyType class is a node for setting the transparency type for shapes. In earlier versions of Coin/Open Inventor it was only possible to set the transparency mode globally for an entire scene graph, which could be inconvenient if different transparency types were wanted for different shapes.

Here is a screenshot of the different transparency modes used in a single scene.

 Rendering of Different Transparency Modes

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
 FILE FORMAT/DEFAULTS:

TransparencyType {
    value SCREEN_DOOR
}

See also
    SoGLRenderAction::TransparencyType

Since
    Coin 2.0

Member Enumeration Documentation

  enum SoTransparencyType::Type
Enumeration of available transparency types. See documentation in SoGLRenderAction for a description of the different types.

Constructor & Destructor Documentation

  SoTransparencyType::SoTransparencyType (void)
Constructor.

  SoTransparencyType::~SoTransparencyType () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTransparencyType::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTransparencyType::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTransparencyType::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTransparencyType::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTransparencyType::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTransparencyType::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTransparencyType::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoTransparencyType::value
The transparency type to use for subsequent shape nodes in the scene graph.

Author

Generated automatically by Doxygen for Coin from the source code.